Package com.sun.jna.platform.win32

## Class Sspi.SecPkgCredentials_Names

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecPkgCredentials_Names

Direct Known Subclasses:
  `Sspi.SecPkgCredentials_Names.ByReference`

Enclosing interface:
  Sspi

    @FieldOrder("sUserName")
    public static class Sspi.SecPkgCredentials_Names
    extends Structure

The SecPkgCredentials_Names structure holds the name of the user associated with a context.

The `Secur32.QueryCredentialsAttributes(com.sun.jna.platform.win32.Sspi.CredHandle, int, com.sun.jna.Structure)` function uses this structure.

### Nested Class Summary

Nested Classes
`static class` `Sspi.SecPkgCredentials_Names.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`Pointer` `sUserName` Pointer to a null-terminated string containing the name of the user represented by the credential.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`SecPkgCredentials_Names()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `free()` Free native buffer
`java.lang.String` `getUserName()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sUserName

    public Pointer sUserName

Pointer to a null-terminated string containing the name of the user represented by the credential. If the security package sets the SECPKG_FLAG_ACCEPT_WIN32_NAME flag to indicate that it can process Windows names, this name can be used in other Windows calls.

### Constructor Detail

#### SecPkgCredentials_Names

    public SecPkgCredentials_Names()

### Method Detail

#### getUserName

    public java.lang.String getUserName()

Returns:
  value of userName attribute

#### free

    public int free()

Free native buffer

Returns:
  `WinError.SEC_E_OK` if ok